<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__smartio__ducfg__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_smartio_ducfg_t</compoundname>
    <includes local="no">cy_smartio.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__smartio__ducfg__t_1a9e23ee4909072147ba5591bfd811ee52" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__smartio__enums_1ga8e445e3c1017ca42126054f92192574a">cy_en_smartio_dutr_t</ref></type>
        <definition>cy_en_smartio_dutr_t cy_stc_smartio_ducfg_t::tr0</definition>
        <argsstring />
        <name>tr0</name>
        <briefdescription>
<para>DU input trigger 0 source selection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="481" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="481" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__ducfg__t_1ae6e2eb581ffa9932d256507f46b6699a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__smartio__enums_1ga8e445e3c1017ca42126054f92192574a">cy_en_smartio_dutr_t</ref></type>
        <definition>cy_en_smartio_dutr_t cy_stc_smartio_ducfg_t::tr1</definition>
        <argsstring />
        <name>tr1</name>
        <briefdescription>
<para>DU input trigger 1 source selection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="482" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="482" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__ducfg__t_1afdcb39abdbd64ed8d44d33be8beafb99" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__smartio__enums_1ga8e445e3c1017ca42126054f92192574a">cy_en_smartio_dutr_t</ref></type>
        <definition>cy_en_smartio_dutr_t cy_stc_smartio_ducfg_t::tr2</definition>
        <argsstring />
        <name>tr2</name>
        <briefdescription>
<para>DU input trigger 2 source selection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="483" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="483" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__ducfg__t_1aaf8bfe52c9e7b52a1095c39dfe6d50ef" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__smartio__enums_1gacfaf7f3f3da3ca7f410eaa10259e7906">cy_en_smartio_dudata_t</ref></type>
        <definition>cy_en_smartio_dudata_t cy_stc_smartio_ducfg_t::data0</definition>
        <argsstring />
        <name>data0</name>
        <briefdescription>
<para>DU input DATA0 source selection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="484" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="484" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__ducfg__t_1a5e8a7354a6e2cb155d5403046e3f3f3c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__smartio__enums_1gacfaf7f3f3da3ca7f410eaa10259e7906">cy_en_smartio_dudata_t</ref></type>
        <definition>cy_en_smartio_dudata_t cy_stc_smartio_ducfg_t::data1</definition>
        <argsstring />
        <name>data1</name>
        <briefdescription>
<para>DU input DATA1 source selection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="485" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="485" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__ducfg__t_1a59a970ac12e4c3adcbc7420514efc1b1" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__smartio__enums_1ga4ea9cfed3efce3d97268d64dcda40e4e">cy_en_smartio_duopc_t</ref></type>
        <definition>cy_en_smartio_duopc_t cy_stc_smartio_ducfg_t::opcode</definition>
        <argsstring />
        <name>opcode</name>
        <briefdescription>
<para>DU op-code. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="486" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="486" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__ducfg__t_1a169758fde19db126917fd2b4e30c2058" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__smartio__enums_1ga92590e8168bc8f4aa7855cafc4aeac81">cy_en_smartio_dusize_t</ref></type>
        <definition>cy_en_smartio_dusize_t cy_stc_smartio_ducfg_t::size</definition>
        <argsstring />
        <name>size</name>
        <briefdescription>
<para>DU operation bit size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="487" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="487" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__ducfg__t_1a06091267580643c60580376bd1524451" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_smartio_ducfg_t::dataReg</definition>
        <argsstring />
        <name>dataReg</name>
        <briefdescription>
<para>DU DATA register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="488" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="488" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Data Unit (DU) configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="489" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="480" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="480" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__smartio__ducfg__t_1aaf8bfe52c9e7b52a1095c39dfe6d50ef" virt="non-virtual"><scope>cy_stc_smartio_ducfg_t</scope><name>data0</name></member>
      <member prot="public" refid="structcy__stc__smartio__ducfg__t_1a5e8a7354a6e2cb155d5403046e3f3f3c" virt="non-virtual"><scope>cy_stc_smartio_ducfg_t</scope><name>data1</name></member>
      <member prot="public" refid="structcy__stc__smartio__ducfg__t_1a06091267580643c60580376bd1524451" virt="non-virtual"><scope>cy_stc_smartio_ducfg_t</scope><name>dataReg</name></member>
      <member prot="public" refid="structcy__stc__smartio__ducfg__t_1a59a970ac12e4c3adcbc7420514efc1b1" virt="non-virtual"><scope>cy_stc_smartio_ducfg_t</scope><name>opcode</name></member>
      <member prot="public" refid="structcy__stc__smartio__ducfg__t_1a169758fde19db126917fd2b4e30c2058" virt="non-virtual"><scope>cy_stc_smartio_ducfg_t</scope><name>size</name></member>
      <member prot="public" refid="structcy__stc__smartio__ducfg__t_1a9e23ee4909072147ba5591bfd811ee52" virt="non-virtual"><scope>cy_stc_smartio_ducfg_t</scope><name>tr0</name></member>
      <member prot="public" refid="structcy__stc__smartio__ducfg__t_1ae6e2eb581ffa9932d256507f46b6699a" virt="non-virtual"><scope>cy_stc_smartio_ducfg_t</scope><name>tr1</name></member>
      <member prot="public" refid="structcy__stc__smartio__ducfg__t_1afdcb39abdbd64ed8d44d33be8beafb99" virt="non-virtual"><scope>cy_stc_smartio_ducfg_t</scope><name>tr2</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>